Skip to content
Required for all mods created by Thebombzen

MOD INFO

Creator:

Creators Description:

Mod Home Page:

MINECRAFT VERSIONS

ThebombzenAPI is available to install with Modgician’s Minecraft Mod Installer for the following versions:
1.12.21.11.21.10.21.9.41.91.8.91.8.81.81.7.101.7.21.6.41.6.21.5.21.5.11.51.4.71.4.61.4.51.3.2

To use the Mod Installer, you will need a Modgician account.

PLEASE NOTE: Every time you use Modgician’s Minecraft Mod Installer, you are supporting mod developers and giving back to them financially.

SHARE:

Anyone can
install mods

Modgician – makes installing Minecraft Mods easy

Clean – Fast – Simple

Logout

Login